freeslot(
"SPR_BEES",
"SPR_MOTO",
"SPR_DETO",
"SPR_ROCK",
"SPR_TIKA",
"SPR_CHIP",
"SPR_CHAO",
"SPR_WISP",
"SPR_FRZY",
"SPR_CUBE",
"SPR_MIKU",
"SPR_CLAB",
"SPR_CLAR",
"SPR_CHRM",
"SPR_PSO2",
"SPR_EMBR",
"SPR_WMBR",
"SPR_CYRE",
"SPR_BURG",
"SPR_POGE",
"SPR_TRGI",
"SPR_RIBN",
"SPR_FAIR",
"SPR_MILK",
"SPR_MILS",
"SPR_MILC",
"SPR_DNCE",
"SPR_DARK",
"SPR_NOFC",
"SPR_KFLW",
"SPR_CLAP",
"SPR_DUME",
"SPR_FRAK",
"SPR_JELI",
"SPR_BALG",
"SPR_CIRN",
"SPR_ESPM",
"SPR_BIIN",
"SPR_MAGO",
"SPR_STHG",
"SPR_KIRB",
"SPR_CURS",
"SPR_HGRT",
"SPR_PUFO",
"SPR_PCDA",
"SPR_PAOL",
"SPR_GLOB",
"SPR_PGOS",
"SPR_OMOC",
"SPR_GPYO",
"SPR_BPYO",
"SPR_RPYO",
"SPR_YPYO",
"SPR_PPYO",
"SPR_DNCH"
)

local PetsToAdd = {									

	Ember = {						
		SpriteSet = SPR_EMBR,		
		Color = "gold",				
		ShadowScale = FRACUNIT/3,	
		Anims = {					
			Idle = {A, C, 0},	
			Fall = {J, L, 0},	
			Jump = {G, I, 0},				
			Move = {D, F, 0}		
		},							
	},
	
	Retember = {						
		SpriteSet = SPR_WMBR,		
		Color = "silver",				
		ShadowScale = FRACUNIT/3,	
		Anims = {					
			Idle = {A, C, 0},	
			Fall = {J, L, 0},	
			Jump = {G, I, 0},				
			Move = {D, F, 0}		
		},							
	},
	
	Cyrember = {						
		SpriteSet = SPR_CYRE,		
		Color = "green",				
		ShadowScale = FRACUNIT/3,	
		Anims = {					
			Idle = {A, C, 0},	
			Fall = {J, L, 0},	
			Jump = {G, I, 0},				
			Move = {D, F, 0}		
		}							
	},
	
	Bumblebore = {
		SpriteSet = SPR_BUMB,
		ShadowScale = FRACUNIT/3,
		Anims = {
			Idle = {A, B, 1},
		}
	},
	
	Bumblebea = {
		SpriteSet = SPR_BEES,
		ShadowScale = FRACUNIT/3,
		Anims = {
			Idle = {A, B, 1},
		}
	},
	
	CharmyBee = {
		SpriteSet = SPR_CHRM,
		ShadowScale = FRACUNIT/2,
		Color = "yellow",
		Anims = {
			Idle = {A, B, 1},
		}
	},

	Ideya = {
		SpriteSet = SPR_IDYA,
		ShadowScale = FRACUNIT/2,
		Anims = {
			Idle = {A, E, 10},
		}
	},
	
	UNKNOWN = {
		SpriteSet = SPR_UNKN,
		ShadowScale = FRACUNIT/2,
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	Motobug = {
		SpriteSet = SPR_MOTO,
		ShadowScale = FRACUNIT/2,
		Color = "red",
		Anims = {
			Idle = {A, A, 1},
		}
	},

	Deton = {
		SpriteSet = SPR_DETO,
		ShadowScale = FRACUNIT/2,
		Color = "red",
		Anims = {
			Idle = {A, A, 1},
			Pain = {B, B, 1},
			Dead = {B, B, 1},
		}
	},
	
	EggRock = {
		SpriteSet = SPR_ROCK,
		ShadowScale = FRACUNIT/3,
		Color = "dusk",
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	Tikal = {
		SpriteSet = SPR_TIKA,
		ShadowScale = FRACUNIT/4,
		Color = "pink",
		Anims = {
			Idle = {A, H, 5},
		}
	},
	
	Chip = {
		SpriteSet = SPR_CHIP,
		ShadowScale = FRACUNIT/4,
		Color = "red",
		Anims = {
			Idle = {A, B, 2},
		}
	},
	
	Chao = {
		SpriteSet = SPR_CHAO,
		ShadowScale = FRACUNIT/3,
		Color = "sky",
		Anims = {
			Idle = {A, B, 2},
		}
	},
	
	Flicky = {
		SpriteSet = SPR_FL01,
		ShadowScale = FRACUNIT/4,
		Anims = {
			Idle = {B, D, 3},
		}
	},
	
	Wisp = {
		SpriteSet = SPR_WISP,
		ShadowScale = FRACUNIT/4,
		Color = "sky",
		Anims = {
			Idle = {A, C, 3},
		}
	},
	
	FrenzyWisp = {
		SpriteSet = SPR_FRZY,
		ShadowScale = FRACUNIT/4,
		Color = "pastel",
		Anims = {
			Idle = {A, C, 3},
		}
	},
		
	CubeWisp = {
		SpriteSet = SPR_CUBE,
		ShadowScale = FRACUNIT/4,
		Color = "blue",
		Anims = {
			Idle = {A, B, 3},
		}
	},

	Mikuball = {
		SpriteSet = SPR_MIKU,
		ShadowScale = FRACUNIT/2,
		Color = "sky",
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	Crawla = {
		SpriteSet = SPR_CLAB,
		ShadowScale = FRACUNIT/3,
		Color = "cornflower",
		Anims = {
			Idle = {A, B, 3},
		}
	},
	
	Mag = {
		SpriteSet = SPR_PSO2,
		ShadowScale = FRACUNIT/4,
		Color = "aether",
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	TRGii = {
		SpriteSet = SPR_TRGI,
		ShadowScale = FRACUNIT/2,
		Color = "orange",
		Anims = {
			Idle = {A, B, 2},
		}
	},
	
	Ribbon = {
		SpriteSet = SPR_RIBN,
		ShadowScale = FRACUNIT/2,
		Color = "rosy",
		Anims = {
			Idle = {A, C, 0},
			Fall = {J, J, 0},
			Jump = {L, L, 0},
			Dead = {G, I, 0},
			Pain = {K, K, 0},
			Move = {D, F, 0}
		}
	},
	
	FairyQueen = {
		SpriteSet = SPR_FAIR,
		ShadowScale = FRACUNIT,
		Color = "red",
		Anims = {
			Idle = {A, C, 0},	
			Pain = {G, G, 0},
			Dead = {G, G, 0},
			Goal = {D, F, 0},
		}
	},
	
	Milk = {
		SpriteSet = SPR_MILK,
		ShadowScale = FRACUNIT/4,
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	ChocolateMilk = {
		SpriteSet = SPR_MILC,
		ShadowScale = FRACUNIT/4,
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	StrawberryMilk = {
		SpriteSet = SPR_MILS,
		ShadowScale = FRACUNIT/4,
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	DarkMatter = {
		SpriteSet = SPR_DARK,
		ShadowScale = FRACUNIT/3,
		Color = "orange",
		Anims = {
			Idle = {A, D, 3},
		}
	},	
	
	Burger = {
		SpriteSet = SPR_BURG,
		ShadowScale = FRACUNIT/2,
		Color = "orange",
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	Crawlog = {
		SpriteSet = SPR_POGE,
		ShadowScale = FRACUNIT/2,
		Color = "red",
		Anims = {
			Idle = {A, B, 3},
		}
	},

	Danceon = {
		SpriteSet = SPR_DNCE,
		ShadowScale = FRACUNIT/2,
		Color = "red",
		Anims = {
			Idle = {A, N, 6},
		}
	},
	
	NoFace = {
		SpriteSet = SPR_NOFC,
		ShadowScale = FRACUNIT/2,
		Color = "black",
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	Kanade = {
		SpriteSet = SPR_KFLW,
		ShadowScale = FRACUNIT/4,
		Color = "aether",
		Anims = {
			Idle = {A, B, 10},
			Dead = {E, F, 5},
			Move = {C, D, 4},
			Goal = {G, H, 1},
		},
	},
	
	CrawlaPlush = {
		SpriteSet = SPR_CLAP,
		ShadowScale = FRACUNIT/2,
		Color = "cornflower",
		Anims = {
			Idle = {A, A, 3},
		}
	},
	
	Dummie = {
		SpriteSet = SPR_DUME,
		ShadowScale = FRACUNIT/2,
		Color = "orange",
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	Frank = {
		SpriteSet = SPR_FRAK,
		ShadowScale = FRACUNIT/2,
		Color = "yellow",
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	Huggert = {
		SpriteSet = SPR_HGRT,
		ShadowScale = FRACUNIT/2,
		Color = "dusk",
		Anims = {
			Idle = {A, A, 1},
		}
	},

	Ballgazer = {
		SpriteSet = SPR_BALG,
		ShadowScale = FRACUNIT/2,
		Color = "gold",
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	Jellyfish = {
		SpriteSet = SPR_JELI,
		ShadowScale = FRACUNIT/2,
		Color = "rosy",
		Anims = {
			Idle = {A, I, 3},
		}
	},

	Cirno = {
		SpriteSet = SPR_CIRN,
		ShadowScale = FRACUNIT,
		Color = "icy",
		Anims = {
			Idle = {A, P, 3},
		}
	},

	Espio = {
		SpriteSet = SPR_ESPM,
		ShadowScale = FRACUNIT/2,
		Color = "raspberry",
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	Bin = {
        SpriteSet = SPR_BIIN,
		ShadowScale = FRACUNIT/4,
		Color = "blue",
		Anims = {
            Idle = {A, B, 2},
            Pain = {C, C, 1},
            Dead = {C, C, 1},
		}
	},
	
	Magolor = {
		SpriteSet = SPR_MAGO,
		ShadowScale = FRACUNIT/2,
		Color = "sapphire",
		Anims = {
			Idle = {A, A, 1},
		}
	},
	
	SOMETHING = {
		SpriteSet = SPR_STHG,
		Color = "black",
		ShadowScale = FRACUNIT/2,
		Anims = {
			Idle = {A, A, 1},
			Pain = {B, B, 1},
		}
	},
	
	Kirbo = {
        SpriteSet = SPR_KIRB,
        ShadowScale = FRACUNIT/4,
        Color = "rosy",
        Anims = {
            Idle = {A, A, 1},
			Move = {B, I, 3},
			Jump = {J, J, 1},
            Pain = {K, K, 1},
            Dead = {L, M, 2},
		}
	},
	
	Cursed = {
        SpriteSet = SPR_CURS,
        ShadowScale = FRACUNIT*1/4,
        Color = "yellow",
        Anims = {
            Idle = {A, A, 1},
			Move = {A, A, 1},
			Jump = {A, A, 1},
            Pain = {A, A, 1},
            Dead = {A, A, 1},
		}
	},
	
	UFO = {
		SpriteSet = SPR_PUFO,
		ShadowScale = FRACUNIT/2,
		Color = "purple",
		Anims = {
			Idle = {A, A, 0},
			Dead = {B, G, 1},
		}
	},
	
	AudioCD = {
		SpriteSet = SPR_PCDA,
		ShadowScale = FRACUNIT/2,
		Color = "aether",
		Anims = {
			Idle = {A, A, 0},
		}
	},
	
	AOL = {
		SpriteSet = SPR_PAOL,
		ShadowScale = FRACUNIT/2,
		Color = "orange",
		Anims = {
			Idle = {A, A, 0},
		}
	},
	
	Globe = {
		SpriteSet = SPR_GLOB,
		ShadowScale = FRACUNIT/2,
		Color = "green",
		Anims = {
			Idle = {A, H, 3},
		}
	},
	PacGhost = {						
		SpriteSet = SPR_PGOS,		
		Color = "red",				
		ShadowScale = FRACUNIT/2,	
		Anims = {					
			Idle = {A, B, 3},	
			Fall = {E, F, 3},	
			Jump = {C, D, 3},				
			Pain = {G, N, 1},	
			Dead = {G, N, 1},	
		}	
	},

	Omochao = {						
		SpriteSet = SPR_OMOC,		
		Color = "icy",				
		ShadowScale = FRACUNIT/2,	
		Anims = {					
			Idle = {A, D, 2},	
		}		
	},
	
	DonChan = {						
		SpriteSet = SPR_DNCH,	
		Color = "salmon",
		ShadowScale = FRACUNIT/2,	
		Anims = {					
			Idle = {A, B, 7},	
			Pain = {C, C, 1},	
			Dead = {D, D, 1},	
		}						
	},
	
	GreenPuyo = {						
		SpriteSet = SPR_GPYO,		
		ShadowScale = FRACUNIT/2,	
		Anims = {					
			Idle = {A, A, 1},	
			Pain = {B, B, 1},	
			Dead = {B, B, 1},	
		}						
	},
	
	BluePuyo = {						
		SpriteSet = SPR_BPYO,		
		ShadowScale = FRACUNIT/2,	
		Anims = {					
			Idle = {A, A, 1},	
			Pain = {B, B, 1},	
			Dead = {B, B, 1},	
		}						
	},
	
	RedPuyo = {						
		SpriteSet = SPR_RPYO,		
		ShadowScale = FRACUNIT/2,	
		Anims = {					
			Idle = {A, A, 1},	
			Pain = {B, B, 1},	
			Dead = {B, B, 1},	
		}						
	},
	
	PurplePuyo = {						
		SpriteSet = SPR_PPYO,		
		ShadowScale = FRACUNIT/2,	
		Anims = {					
			Idle = {A, A, 1},	
			Pain = {B, B, 1},	
			Dead = {B, B, 1},	
		}						
	},
	
	YellowPuyo = {						
		SpriteSet = SPR_YPYO,		
		ShadowScale = FRACUNIT/2,	
		Anims = {					
			Idle = {A, A, 1},	
			Pain = {B, B, 1},	
			Dead = {B, B, 1},	
		}						
	},
}
if (Pet_AddPet) then
	for petname,petinfo in pairs(PetsToAdd)
		Pet_AddPet(petinfo, petname)
	end
end